## qtsystems-opensource-src 5.0~git20130712

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20130712-0ubuntu6) utopic; urgency=medium

  * Clean up debian/patches/series and debian/rules of obsolete lines
  * Bump build dependencies to 5.3.0
  * Clean old pre-depends
  * Rename the QML modules to qml-module-xxx format and add transitional 
    packages. (LP: #1342031)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 15 Jul 2014 09:21:57 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu5) utopic; urgency=medium

  * Rebuild against Qt 5.3.0
  * Move include files to multi-arch dir
  * Export QT_SELECT instead of depending on qt5-default
  * Add fix_qserviceinterfacedescriptor_unit_test.patch:
    - Cherry-pick a fix for an unit test from upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 26 May 2014 07:37:59 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu4) trusty; urgency=medium

  [ Omer Akram ]
  * Run unittests during build, disable failing tests

  [ Timo Jyrinki ]
  * Adjust qtsystems5-dev.install for building against 5.2
  * Bump dependencies to 5.2.1
  * Add .git to trigger headers creation

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 11:12:58 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu3) saucy; urgency=low

  * debian/patches/wlan_detect.patch
    - Fix WLAN detection (LP: #1231196)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Sep 2013 09:03:02 +0300

qtsystems-opensource-src (5.0~git20130712-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - build with upower and udisks as well
  * debian/patches/build_with_udisk.patch:
    - small patch to make building with udisk work

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2013 10:39:01 +0200

qtsystems-opensource-src (5.0~git20130712-0ubuntu1) saucy; urgency=low

  * Configure with CONFIG+=ofono (LP: #1199185)
  * New upstream snapshot fa61ba41b962aa66bf6dc62ce62ce0734063abf9.
    - Fixes oFono segfault (LP: #1199813)
    - Remove some of the examples that aren't installed anymore
  * Add Vcs-Bzr

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jul 2013 13:41:02 +0300

qtsystems-opensource-src (5.0~git20130614-0ubuntu1) saucy; urgency=low

  * Initial release (LP: #1190896)
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now.
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Jun 2013 10:32:13 +0300
