## qtsystems-opensource-src 5.0~git20141206~44f70d99

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu8) xenial; urgency=medium

  * skip_failing_tests.patch: Re-enable two tests.
  * debian/rules: use dbus-run-session to run the tests.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Mar 2016 12:48:22 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu7) xenial; urgency=medium

  * debian/patches/WIP-Add-QInputDeviceInfo.patch:
    - Cherry-pick WIP patch (patch set 20) from upstream to base our work on.
      (LP: #1525879)
  * Add libevdev-dev, libudev-dev, pkg-config, udev build dependencies.
  * Update *.install

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 22 Feb 2016 12:14:49 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu6) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:34:24 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu5) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 15:00:09 +0300

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu4) wily; urgency=medium

  [ Michael Zanetti ]
  * debian/patches/unity-screen.diff:
    - Allow apps to keep the screen on (LP: #1462489)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 06 Jul 2015 09:02:12 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu3) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:54:06 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu2) vivid; urgency=medium

  * Rebuild against Qt 5.4.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 06:14:10 +0000

qtsystems-opensource-src (5.0~git20141206~44f70d99-0ubuntu1) vivid; urgency=medium

  [ Timo Jyrinki ]
  * Rebuild against Qt 5.4.0

  [ Dmitry Shachnev ]
  * New upstream snapshot.
  * Drop all patches that have been applied upstream.
  * Update install files.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:45:19 +0000

qtsystems-opensource-src (5.0~git20130712-0ubuntu7) vivid; urgency=medium

  * Rebuild against Qt 5.3.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 07:06:50 +0000
