=== debian/control ===
--- 
+++ 
@@ -2,11 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.3.0~),
+Build-Depends: dbus,
+               debhelper (>= 9),
+               libevdev-dev,
+               libqt5sql5-sqlite (>= 5.5.1~),
+               libudev-dev,
+               pkg-config,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
+               qtbase5-private-dev (>= 5.5.1~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
+               udev,
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsystems.git
