=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,6 @@
 	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
 	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
 
-	# Fix wrong permissions in examples.
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
-	-name '*.png' \
-	-o -name '*.php' \
-	-o -name '*.xsl' \
-	-o -name '*.xml' \
-	-o -name '*.js' \
-	-o -name '*.jpg' \
-	\) -print0 | xargs -0 chmod a-x
-
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/examples.pro
@@ -41,4 +31,4 @@
 
 override_dh_auto_test:
 	export LD_LIBRARY_PATH=$(CURDIR)/lib
-	cd tests/auto/ && ( test -e Makefile || qmake auto.pro -o Makefile ) && make -f Makefile check
+	cd tests/auto/ && ( test -e Makefile || qmake auto.pro -o Makefile ) && dbus-run-session make -f Makefile check
