=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: qtsystems-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
-Build-Depends: dbus,
-               debhelper (>= 9),
-               libevdev-dev,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: debhelper-compat (= 12),
+               dbus-test-runner,
+#               libmirclient-dev,
                libqt5sql5-sqlite (>= 5.5.1~),
-               libudev-dev,
-               pkg-config,
                pkg-kde-tools,
+               qtbase5-dev (>= 5.5.1~),
                qtbase5-private-dev (>= 5.5.1~),
                qtdeclarative5-private-dev (>= 5.5.1~),
-               udev,
-Standards-Version: 3.9.4
-Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsystems.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsystems.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsystems-opensource-src
+               libbluetooth-dev [linux-any],
+               libevdev-dev [linux-any],
+               libx11-dev,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.qt.io/developers
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtsystems/
 
 Package: libqt5serviceframework5
 Architecture: any
@@ -34,27 +38,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-serviceframework-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtserviceframework, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Service Framework QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-serviceframework
- which can be safely removed.
-
 Package: qml-module-qtserviceframework
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5serviceframework5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-serviceframework-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 Service Framework QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,27 +70,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-publishsubscribe-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtpublishsubscribe, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Publish Subscribe QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-publishsubscribe
- which can be safely removed.
-
 Package: qml-module-qtpublishsubscribe
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5publishsubscribe5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-publishsubscribe-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 Publish Subscribe QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -128,27 +102,12 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: qtdeclarative5-systeminfo-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtsysteminfo, ${misc:Depends}
-Description: transitional dummy package for Qt 5 System Info QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-systeminfo
- which can be safely removed.
-
 Package: qml-module-qtsysteminfo
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5systeminfo5,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
-Replaces: qtdeclarative5-systeminfo-plugin (<< 5.0~git20130712-0ubuntu6~)
 Description: Qt 5 System Info QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -183,6 +142,8 @@
 Section: libdevel
 Depends: qtsystems5-dev (= ${binary:Version}),
          ${misc:Depends},
+Breaks: qtsystems5-dev (<< 5.0~git20181230.e3332ee3-3~)
+Replaces: qtsystems5-dev (<< 5.0~git20181230.e3332ee3-3~)
 Description: Qt 5 Systems private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -231,23 +192,3 @@
  WARNING: This module is not an official part of Qt 5, but instead a git
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
-
-Package: qtsystems5-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
-         ${misc:Depends},
-Suggests: qtsystems5-examples (= ${binary:Version}),
-Description: Qt Systems library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 Systems
- libraries.
- .
- WARNING: This module is not an official part of Qt 5, but instead a git
- snapshot of an ongoing development. The package is very likely to
- change in a binary incompatible way, and no guarantees are given.
