## qtsystems-opensource-src 5.0~git20190103.e3332ee+dfsg1

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-5) unstable; urgency=medium

  * debian/control: 
    + Add udev/libudev as B-D

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 21:02:19 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Update 1004_mark-as-override.patch to add override keyword only to *.h,
    not to *.cpp (closes: #1016274).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Aug 2022 13:26:26 +0300

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1004_mark-as-override.patch. Fix FTBFS (with -Werror) in lomiri-ui-
      toolkit.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Jul 2022 23:16:57 +0200

qtsystems-opensource-src (5.0~git20190103.e3332ee+dfsg1-1) unstable; urgency=medium

  * Add +dfsg1 suffix to the upstream version as we remove jQuery files from the
    upstream code tree.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 21:29:02 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee-2) unstable; urgency=medium

  * Re-upload merged changes. The previous upload did not contain changes
    of these two uploads: 5.0~git20181230.e3332ee3-3 and
    5.0~git20181230.e3332ee3-4.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 19:15:20 +0100

qtsystems-opensource-src (5.0~git20190103.e3332ee-1) unstable; urgency=medium

  * This upload did not contain the previous two uploads
    (5.0~git20181230.e3332ee3-3, 5.0~git20181230.e3332ee3-4).

  * Re-generate same upstream orig tarball from upstream Git (this time with
    uscan).

  * debian/{rules,copyright,watch}:
    + Use uscan to obtain Git snapshot. Drop self-scripted (thanks to @onlyjob)
      get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Do dh_auto_install in --no-parallel mode. Build problems have been
      observed when running dh_auto_install parallelly.
  * debian/*.symbols:
    + Update .symbols files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Dec 2021 18:23:15 +0100
