=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
            Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dbus-test-runner,
-#               libmirclient-dev,
                libqt5sql5-sqlite (>= 5.5.1~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.5.1~),
@@ -15,8 +14,10 @@
                qtdeclarative5-private-dev (>= 5.5.1~),
                libbluetooth-dev [linux-any],
                libevdev-dev [linux-any],
+               libudev-dev [linux-any],
+               udev [linux-any],
                libx11-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.qt.io/developers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git
