## qtsystems-opensource-src 5.0~git20230712.81e08ee+dfsg

=== debian/changelog ===
qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove Qt_5.x symbols from the symbols files (closes: #1113819).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Sep 2025 12:58:05 +0300

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-3) unstable; urgency=medium

  * debian/*.symbols:
    + Fix package names (appending t64) in header lines. (Closes: #1082246).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 12:43:42 +0200

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-2) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1005_check_XOpenDisplay.patch. Check the return value of XOpenDisplay
      and handle failure. This fixes crashes e.g. if Mir/Wayland is used and
      DISPLAY is not set.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Aug 2024 02:58:00 +0200

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Feb 2024 17:24:07 +1300

qtsystems-opensource-src (5.0~git20230712.81e08ee+dfsg-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Replace udev by systemd-dev in B-D. (Closes: #1060526).
  * debian/watch:
    + Add repacksuffix option.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 12:27:42 +0100
