=== debian/control ===
--- 
+++ 
@@ -15,15 +15,18 @@
                libbluetooth-dev [linux-any],
                libevdev-dev [linux-any],
                libudev-dev [linux-any],
-               udev [linux-any],
+               systemd-dev [linux-any],
                libx11-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.qt.io/developers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtsystems.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtsystems/
 
-Package: libqt5serviceframework5
+Package: libqt5serviceframework5t64
+Provides: ${t64:Provides}
+Replaces: libqt5serviceframework5
+Breaks: libqt5serviceframework5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -55,7 +58,10 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: libqt5publishsubscribe5
+Package: libqt5publishsubscribe5t64
+Provides: ${t64:Provides}
+Replaces: libqt5publishsubscribe5
+Breaks: libqt5publishsubscribe5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -87,7 +93,10 @@
  snapshot of an ongoing development. The package is very likely to
  change in a binary incompatible way, and no guarantees are given.
 
-Package: libqt5systeminfo5
+Package: libqt5systeminfo5t64
+Provides: ${t64:Provides}
+Replaces: libqt5systeminfo5
+Breaks: libqt5systeminfo5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -122,9 +131,9 @@
 Package: qtsystems5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
+Depends: libqt5publishsubscribe5t64 (= ${binary:Version}),
+         libqt5serviceframework5t64 (= ${binary:Version}),
+         libqt5systeminfo5t64 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
 Description: Qt 5 Systems development files
@@ -162,9 +171,9 @@
 Architecture: any
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt5publishsubscribe5 (= ${binary:Version}),
-         libqt5serviceframework5 (= ${binary:Version}),
-         libqt5systeminfo5 (= ${binary:Version}),
+Depends: libqt5publishsubscribe5t64 (= ${binary:Version}),
+         libqt5serviceframework5t64 (= ${binary:Version}),
+         libqt5systeminfo5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Qt 5 Systems tools
