=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+dfsg, pgpmode=none,  pretty=5.0~git%cd.%h, dversionmangle=s/\+dfsg//g" \
https://code.qt.io/qt/qtsystems.git \
HEAD
